| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Types | Public Member Functions | List of all members
Document Class Reference

## Public Types
enum | CodeGenerationMode { CODE_GENERATION_MODE_STANDALONE , CODE_GENERATION_MODE_COMPONENT }
enum | FrameBufferType { FRAME_BUFFER_TYPE_SINGLE_BUFFERED , FRAME_BUFFER_TYPE_DOUBLE_BUFFERED }
enum | ProjectionMode { PROJECTION_MODE_ORTHOGRAPHIC , PROJECTION_MODE_PERSPECTIVE , PROJECTION_MODE_EYEPOINT }
enum | RedrawMode { REDRAW_MODE_CONDITIONAL , REDRAW_MODE_CONSTANT , REDRAW_MODE_CONTINUOUS }
enum | RuntimeAttributesFlags { RUNTIME_ATTRIBUTES_BASIC , RUNTIME_ATTRIBUTES_DYNAMIC , RUNTIME_ATTRIBUTES_APPEARANCE , RUNTIME_ATTRIBUTES_GEOMETRY , RUNTIME_ATTRIBUTES_SPECIALIZED , RUNTIME_ATTRIBUTES_ALL , RUNTIME_ATTRIBUTES_NONE }

## Public Member Functions
bool | isNULL ()
bool | isEqual (Document *rhs)
String | GetFilename ()
String | GetDirname ()
void | Close ()
void | MakeCurrentDocument ()
void | Save ()
void | SaveAs (String fileName)
void | SetDirtyFlag ()
void | SetDocumentSaved ()
void | UndoAction ()
void | RedoAction ()
void | ClearRedoAndRebuildHistory ()
void | BeginUndoGroup ()
void | EndUndoGroup (String undoGroupDescription)
void | InsertObject (DisplayObject *obj, bool renameName=false)
void | DeleteObject (DisplayObject *obj)
DisplayObjectArray * | GetSelectedObjects ()
std::vector< String > | GetCurrentCodeSelectionList ()
Vector | GetLastMouseDownPositionLogical ()
void | SelectAll ()
void | ClearSelections ()
void | SelectObject (DisplayObject *obj)
void | SelectObjects (DisplayObjectArray *objs)
void | SelectObjects (std::vector< String > objectNames, bool addToCurrentSelection=false)
void | UnselectObject (DisplayObject *obj)
void | UnselectObjects (DisplayObjectArray *objs)
void | SetCodeGenerationFillInFromRoot (bool fillInFromRoot)
bool | IsCodeGenerationFillInFromRoot ()
void | SetDocumentRootName (String rootName)
String | GetDocumentRootName ()
void | SetDerivedClass (String derivedClass)
String | GetDerivedClass ()
void | SetIdlFileUserCode (String idlFileUserCode)
String | GetIdlFileUserCode ()
void | SetIdlDeclarationUserCode (String idlDeclarationUserCode)
String | GetIdlDeclarationUserCode ()
void | SetCodeOutputPath (String codeOutputPath)
String | GetCodeOutputPath ()
void | SetGenerateSourceComments (bool generateSourceComments)
bool | IsGenerateSourceComments ()
void | SetCodeGenerationMode (CodeGenerationMode codeGenerationMode)
CodeGenerationMode | GetCodeGenerationMode ()
void | SetStandaloneInstanceName (String instanceName)
String | GetStandaloneInstanceName ()
void | SetStandaloneHeaderFile (String headerFile)
String | GetStandaloneHeaderFile ()
void | SetStandaloneSourceFile (String sourceFile)
String | GetStandaloneSourceFile ()
void | SetGenerateMainInSeparateFile (bool separateFile)
bool | IsGenerateMainInSeparateFile ()
void | SetStandaloneMainFile (String mainFile)
String | GetStandaloneMainFile ()
void | SetComponentHeaderFile (String headerFile)
String | GetComponentHeaderFile ()
void | SetComponentSourceFile (String sourceFile)
String | GetComponentSourceFile ()
void | SetUserDefinedBaseClass (String userDefinedBaseClass)
String | GetUserDefinedBaseClass ()
void | EnableUserDefinedBaseClass (bool enableUserDefinedBaseClass)
bool | IsUserDefinedBaseClassEnabled ()
void | SetUserDefinedBaseClassConstructorInit (String ctorInit)
String | GetUserDefinedBaseClassConstructorInit ()
void | SetApplicationWindowTitle (String title)
String | GetApplicationWindowTitle ()
void | SetInitialPositionX (int x)
int | GetInitialPositionX ()
void | SetInitialPositionY (int y)
int | GetInitialPositionY ()
void | SetInitialWidth (int width)
int | GetInitialWidth ()
void | SetInitialHeight (int height)
int | GetInitialHeight ()
void | SetMaximumWidth (int width)
int | GetMaximumWidth ()
void | SetMaximumHeight (int height)
int | GetMaximumHeight ()
void | SetMinimumWidth (int width)
int | GetMinimumWidth ()
void | SetMinimumHeight (int height)
int | GetMinimumHeight ()
void | SetFrameBufferType (FrameBufferType frameBufferType)
FrameBufferType | GetFrameBufferType ()
void | SetHasBorder (bool hasBorder)
bool | HasBorder ()
void | SetResizable (bool resizable)
bool | IsResizable ()
void | SetStencilBuffer (bool stencilBuffer)
bool | HasStencilBuffer ()
void | SetDepthBuffer (bool depthBuffer)
bool | HasDepthBuffer ()
void | SetMultisampleBuffer (bool multisampleBuffer)
bool | HasMultisampleBuffer ()
void | SetAccumulationBuffer (bool accumulationBuffer)
bool | HasAccumulationBuffer ()
void | SetAlphaInColorBuffer (bool alphaInColorBuffer)
bool | HasAlphaInColorBuffer ()
void | SetFullScreen (bool fullScreen)
bool | IsFullScreen ()
void | SetViewCulling (bool viewCulling)
bool | IsViewCulling ()
void | SetProjectionMode (ProjectionMode projectionMode)
ProjectionMode | GetProjectionMode ()
void | SetInitialEyePointName (String eyePointName)
String | GetInitialEyePointName ()
void | SetRedrawMode (RedrawMode redrawMode)
RedrawMode | GetRedrawMode ()
void | SetFrameRate (int frameRateHz)
int | GetFrameRate ()
GlsColor | GetBackgroundColor ()
void | SetBackgroundColor (GlsColor color)
void | SetBackgroundColor (unsigned char r, unsigned char g, unsigned char b, unsigned char a)
void | SetRuntimeAttributes (RuntimeAttributesFlags flags)
RuntimeAttributesFlags | GetRuntimeAttributes ()
TexturePalette | GetTexturePalette ()
SoundList | GetSoundList ()
FontPalette | GetFontPalette ()
DocumentInfo | GetDocumentInfo ()
void | FindInDocument (String objectName, String className, String attributeName, String propertyValue, int comparitorType, bool matchCase, bool matchEntireWord, bool searchSelectionOnly)
void | CodeGenerate (void)
void | CodeGenerateChildren (void)
void | CodeGenerateAll (void)
void | CodeGenerateClean (void)
void | CodeGenerateCleanChildren (void)
void | CodeGenerateCleanAll (void)
void | SetEditorGenerationMode (String str)
String | GetEditorGenerationMode ()
void | SetDocumentHeaderString (String str)
String | GetDocumentHeaderString ()
void | SetDocumentSourceString (String str)
String | GetDocumentSourceString ()
void | SetDocumentClassDeclarationString (String str)
String | GetDocumentClassDeclarationString ()
void | SetDocumentMainLoopString (String str)
String | GetDocumentMainLoopString ()
void | SetDocumentMainInitString (String str)
String | GetDocumentMainInitString ()
void | SetDocumentInitializeString (String str)
String | GetDocumentInitializeString ()
String | GetDocumentInitializeCommentString ()
void | SetDocumentCalculateString (String str)
String | GetDocumentCalculateString ()
String | GetDocumentCalculateCommentString ()
int | AddNewProperty (Property &newProperty)
int | GetNumProperties ()
Property | GetProperty (int propertyIndex)
void | DeleteProperty (int propertyIndex)
int | AddNewMethod (Method &newMethod)
unsigned int | GetNumMethods ()
Method | GetMethod (int methodIndex)
void | DeleteMethod (int methodIndex)
int | AddNewVariable (Variable &newVariable)
int | GetNumVariables ()
Variable | GetVariable (int variableIndex)
void | DeleteVariable (int variableIndex)
int | AddNewMaterial (Material &newMaterial)
int | GetNumMaterials ()
Material | GetMaterial (unsigned int materialIndex)
void | UpdateMaterial (unsigned int materialIndex, Material matUpdates)
void | DeleteMaterial (unsigned int materialIndex)
unsigned int | GetNumObjects ()
DisplayObject * | GetObjectByName (String name)
Group * | GetObjectList ()
ComponentRef * | InsertComponent (String filename)
void | InsertComponent (ComponentRef &comp)
void | CutSelectedObjects ()
void | DeleteSelectedObjects ()
void | CopySelectedObjects ()
void | PasteClipboardObjects (bool keepNames, bool keepPositions)
void | PasteClipboardObjects (bool keepPositions)
void | DuplicateSelectedObjects ()
void | CopySelectedCodeItem ()
void | PasteClipboardCodeItem ()
void | DuplicateSelectedCodeItem ()
void | DeleteSelectedCodeItem ()
void | ConvertSelectedToMesh ()
GlsColor | LineColor ()
void | LineColor (GlsColor color)
GlsColor | FillColor ()
void | FillColor (GlsColor color)
void | AddUserDefinedAttribute (UserDefinedAttribute attrib)
int | GetNumUserDefinedAttributes ()
UserDefinedAttribute | GetUserDefinedAttributeByIndex (int index)
UserDefinedAttribute | GetUserDefinedAttributeByGuid (String guid)
void | DeleteUserDefinedAttributeByIndex (int index)
void | DeleteUserDefinedAttributeByName (String name)
void | UpdateUserDefinedAttribute (UserDefinedAttribute attrib)
void | LoadUserDefinedAttributes (String filename)
void | SaveUserDefinedAttributes (String filename)
String | GetResources ()
bool | HasVisibleTab ()
void | HideTab ()
String | GetGeometryFilterText ()
String | GetPropertyFilterText ()

## Module Methods
Methods that can be called on the module.
Document | GetCurrentDocument ()
Document | GetDocumentByName (String docName)
Document | NewDocument (String fileName="")
void | SaveAllDocuments ()
void | CloseAllDocuments ()
Document | OpenDocument (String fileName, bool showTab=true)

## Detailed Description

common editor interface document

## Member Enumeration Documentation

## ◆ CodeGenerationMode

enum Document::CodeGenerationMode

Code generation modes.

Enumerator
CODE_GENERATION_MODE_STANDALONE |
CODE_GENERATION_MODE_COMPONENT |

## ◆ FrameBufferType

enum Document::FrameBufferType

Frame buffer types.

Enumerator
FRAME_BUFFER_TYPE_SINGLE_BUFFERED |
FRAME_BUFFER_TYPE_DOUBLE_BUFFERED |

## ◆ ProjectionMode

enum Document::ProjectionMode

Projection modes.

Enumerator
PROJECTION_MODE_ORTHOGRAPHIC |
PROJECTION_MODE_PERSPECTIVE |
PROJECTION_MODE_EYEPOINT |

## ◆ RedrawMode

enum Document::RedrawMode

Redraw modes.

Enumerator
REDRAW_MODE_CONDITIONAL |
REDRAW_MODE_CONSTANT |
REDRAW_MODE_CONTINUOUS |

## ◆ RuntimeAttributesFlags

enum Document::RuntimeAttributesFlags

Runtime attributes flags.

Enumerator
RUNTIME_ATTRIBUTES_BASIC |
RUNTIME_ATTRIBUTES_DYNAMIC |
RUNTIME_ATTRIBUTES_APPEARANCE |
RUNTIME_ATTRIBUTES_GEOMETRY |
RUNTIME_ATTRIBUTES_SPECIALIZED |
RUNTIME_ATTRIBUTES_ALL |
RUNTIME_ATTRIBUTES_NONE |

## Member Function Documentation

## ◆ AddNewMaterial()

int Document::AddNewMaterial | ( | Material & | newMaterial | ) |

Adds a given material to a given document.

Parameters

  newMaterial | Material to be added to the document

Returns
  -1 if an error occurred while adding the material; otherwise 0 if material is successfully added

Exceptions

  CEIException |

## ◆ AddNewMethod()

int Document::AddNewMethod | ( | Method & | newMethod | ) |

Adds a given method to a given document.

Parameters

  newMethod | Method to be added to the document

Returns
  -1 if an error occurred while adding the method; otherwise 0 if method is successfully added

Exceptions

  CEIException |

## ◆ AddNewProperty()

int Document::AddNewProperty | ( | Property & | newProperty | ) |

Adds a given property to a given document.

Parameters

  newProperty | Property to be added to the document

Returns
  -1 if an error occurred while adding the property; otherwise 0 if property is successfully added

Exceptions

  CEIException |

## ◆ AddNewVariable()

int Document::AddNewVariable | ( | Variable & | newVariable | ) |

Adds a given variable to a given document.

Parameters

  newVariable | Variable to be added to the document

Returns
  -1 if an error occurred while adding the variable; otherwise 0 if variable is successfully added

Exceptions

  CEIException |

## ◆ AddUserDefinedAttribute()

void Document::AddUserDefinedAttribute | ( | UserDefinedAttribute | attrib | ) |

Add a user defined attribute to the document.

Parameters

  attrib | the user defined attribute to be added to the document

## ◆ BeginUndoGroup()

void Document::BeginUndoGroup | ( |  | ) |

Begins an undo group on this document.

## ◆ ClearRedoAndRebuildHistory()

void Document::ClearRedoAndRebuildHistory | ( |  | ) |

Clears all undo items ahead of the current action.

Precondition
  !isNULL()

Exceptions

  CEIException |

## ◆ ClearSelections()

void Document::ClearSelections | ( |  | ) |

Clears selections of the objects within the document.

Precondition
  !isNULL()

## ◆ Close()

void Document::Close | ( |  | ) |

Closes this document.

Precondition
  !isNULL()

Exceptions

  CEIException |

Note
  current document is set to a different document if this doc is the current doc

Postcondition
  isNULL will return true for this document after calling Close()

## ◆ CloseAllDocuments()

void Document::CloseAllDocuments | ( |  | ) |

Closes all open documents.

Deprecated:
  Use Editor.CloseAllDocuments() instead.

## ◆ CodeGenerate()

void Document::CodeGenerate | ( | void |  | ) |

Generates the code for a given document.

Exceptions

  CEIException |

Deprecated:
  Use Editor.GenerateCurrentDocument() instead.

## ◆ CodeGenerateAll()

void Document::CodeGenerateAll | ( | void |  | ) |

Generates all of the code for a given document.

Exceptions

  CEIException |

Deprecated:
  Use Editor.GenerateAllDocuments() instead.

## ◆ CodeGenerateChildren()

void Document::CodeGenerateChildren | ( | void |  | ) |

Generates all of the code for a given document and any referenced children.

Exceptions

  CEIException |

Deprecated:
  Use Editor.GenerateCurrentDocumentAndChildren() instead.

## ◆ CodeGenerateClean()

void Document::CodeGenerateClean | ( | void |  | ) |

Cleans the code for a given document.

Exceptions

  CEIException |

Deprecated:
  Use Editor.CleanCurrentDocument() instead.

## ◆ CodeGenerateCleanAll()

void Document::CodeGenerateCleanAll | ( | void |  | ) |

Cleans all of the code for a given document.

Exceptions

  CEIException |

Deprecated:
  Use Editor.CleanAllDocuments() instead.

## ◆ CodeGenerateCleanChildren()

void Document::CodeGenerateCleanChildren | ( | void |  | ) |

Cleans the code for a given document and any referenced children.

Exceptions

  CEIException |

Deprecated:
  Use Editor.CleanCurrentDocumentAndChildren() instead.

## ◆ ConvertSelectedToMesh()

void Document::ConvertSelectedToMesh | ( |  | ) |

Converts the selected objects into a GLTriMesh.

Exceptions

  CEIException |

## ◆ CopySelectedCodeItem()

void Document::CopySelectedCodeItem | ( |  | ) |

Copies the selected code item to the clipboard.

Exceptions

  CEIException |

## ◆ CopySelectedObjects()

void Document::CopySelectedObjects | ( |  | ) |

Copies the selected objects to the clipboard.

Exceptions

  CEIException |

## ◆ CutSelectedObjects()

void Document::CutSelectedObjects | ( |  | ) |

Cuts the selected objects to the clipboard.

Exceptions

  CEIException |

## ◆ DeleteMaterial()

void Document::DeleteMaterial | ( | unsigned int | materialIndex | ) |

Deletes a specific material from a given document.

Parameters

  materialIndex | index of the material to be deleted

Exceptions

  CEIException |

## ◆ DeleteMethod()

void Document::DeleteMethod | ( | int | methodIndex | ) |

Deletes a specific method from a given document.

Parameters

  methodIndex | index of the method to be deleted

Exceptions

  CEIException |

## ◆ DeleteObject()

void Document::DeleteObject | ( | DisplayObject * | obj | ) |

Delete the given object from the document.

Once the object is deleted, all references to the object will be NULL.

Parameters

  obj | object to delete

Precondition
  !isNULL()

## ◆ DeleteProperty()

void Document::DeleteProperty | ( | int | propertyIndex | ) |

Deletes a specific property from a given document.

Parameters

  propertyIndex | index of the property to be deleted

Exceptions

  CEIException |

## ◆ DeleteSelectedCodeItem()

void Document::DeleteSelectedCodeItem | ( |  | ) |

Deletes the selected code item.

Exceptions

  CEIException |

Since
  GL Studio 6.0.1

## ◆ DeleteSelectedObjects()

void Document::DeleteSelectedObjects | ( |  | ) |

Deletes the selected objects.

Exceptions

  CEIException |

## ◆ DeleteUserDefinedAttributeByIndex()

void Document::DeleteUserDefinedAttributeByIndex | ( | int | index | ) |

Deletes a user defined attribute from the document at a given index.

Parameters

  index | index of the user defined attribute to be deleted

## ◆ DeleteUserDefinedAttributeByName()

void Document::DeleteUserDefinedAttributeByName | ( | String | name | ) |

Deletes a user defined attribute from the document with a given name.

Parameters

  name | name of the user defined attribute to delete

## ◆ DeleteVariable()

void Document::DeleteVariable | ( | int | variableIndex | ) |

Deletes a specific variable from a given document.

Parameters

  variableIndex | index of the variable to be deleted

Exceptions

  CEIException |

## ◆ DuplicateSelectedCodeItem()

void Document::DuplicateSelectedCodeItem | ( |  | ) |

Duplicates the selected code item.

Exceptions

  CEIException |

## ◆ DuplicateSelectedObjects()

void Document::DuplicateSelectedObjects | ( |  | ) |

Duplicates the selected objects.

Exceptions

  CEIException |

## ◆ EnableUserDefinedBaseClass()

void Document::EnableUserDefinedBaseClass | ( | bool | enableUserDefinedBaseClass | ) |

Enables/disables user defined base class.

Parameters

  enableUserDefinedBaseClass | true to enable

Precondition
  !isNULL()

## ◆ EndUndoGroup()

void Document::EndUndoGroup | ( | String | undoGroupDescription | ) |

Ends an undo group on this document.

Parameters

  undoGroupDescription | description of undo group

Precondition
  BeginUndoGroup was called

## ◆ FillColor() [1/2]

GlsColor Document::FillColor | ( |  | ) |

Gets the currently selected fill color of the document.

Returns
  fill color of the Display Object

## ◆ FillColor() [2/2]

void Document::FillColor | ( | GlsColor | color | ) |

Sets the document's current fill color, and applies it to any selected objects.

Parameters

  color | fill color to be applied to the Display Object

## ◆ FindInDocument()

void Document::FindInDocument | ( | String | objectName,
|  | String | className,
|  | String | attributeName,
|  | String | propertyValue,
|  | int | comparitorType,
|  | bool | matchCase,
|  | bool | matchEntireWord,
|  | bool | searchSelectionOnly
| ) |  |

Searches the document for all objects which conform to the given parameters.

If the attributeName parameter is non-empty, the search is performed on each object's attributes. Otherwise, the search is performed on each object's object name and/or class name, depending on if either or both are specified. All objects that match the search criteria become selected; non-matching objects are deselected.

Parameters

  objectName | The object name for which to search, or None to not search by object name
  className | The class name for which to search, or None to not search by class name
  attributeName | The attribute name for which to search, or None to not search by attribute name
  propertyValue | The property value for which to search when searching by attribute
  comparitorType | The property value comparison mode to use when searching by attribute (1 = equal, 2 = not-equal)
  matchCase | The match case flag (If False, case is ignored while searching)
  matchEntireWord | The match entire word flag (If False, the specified object and/or class names will match substrings of the object name/class name)
  searchSelectionOnly | The search selection only flag (If True, only currently selected objects are searched)

Exceptions

  CEIException |

## ◆ GetApplicationWindowTitle()

String Document::GetApplicationWindowTitle | ( |  | ) |

Gets the application tab 'window title' setting.

Returns
  window title

Precondition
  !isNULL()

## ◆ GetBackgroundColor()

GlsColor Document::GetBackgroundColor | ( |  | ) |

Gets the background color for this document.

Returns
  the background color for this document

## ◆ GetCodeGenerationMode()

CodeGenerationMode Document::GetCodeGenerationMode | ( |  | ) |

Gets the code generation mode.

Returns
  code generation mode

Precondition
  !isNULL()

## ◆ GetCodeOutputPath()

String Document::GetCodeOutputPath | ( |  | ) |

Gets the code generation code output path.

Returns
  the code generation code output path

Precondition
  !isNULL()

## ◆ GetComponentHeaderFile()

String Document::GetComponentHeaderFile | ( |  | ) |

Gets the code generation tab 'component header file' setting.

Returns
  component header file

Precondition
  !isNULL()

## ◆ GetComponentSourceFile()

String Document::GetComponentSourceFile | ( |  | ) |

Gets the code generation tab 'component source file' setting.

Returns
  standalone source file

Precondition
  !isNULL()

## ◆ GetCurrentCodeSelectionList()

std::vector< String > Document::GetCurrentCodeSelectionList | ( |  | ) |

Returns
  The list of names of all of the code items in the current code selection.

## ◆ GetCurrentDocument()

Document Document::GetCurrentDocument | ( |  | ) |

Gets the current document.

Returns
  current document ( isNULL on returned value returns true if there is no current doc )

Deprecated:
  Use Editor.GetCurrentDocument() instead.

## ◆ GetDerivedClass()

String Document::GetDerivedClass | ( |  | ) |

Gets the code generation tab 'Derived Class' setting.

Returns
  derivedClass derived class name

Precondition
  !isNULL()

## ◆ GetDirname()

String Document::GetDirname | ( |  | ) |

Gets the directory of this document without the filename.

Precondition
  !isNULL()

Returns
  The directory, or null if not set.

## ◆ GetDocumentByName()

Document Document::GetDocumentByName | ( | String | docName | ) |

Gets the document with the given name, if open.

Returns
  desired document ( isNULL on returned value returns true if there is no document with the given name open )

Deprecated:
  Use Editor.GetDocumentByName() instead.

## ◆ GetDocumentCalculateCommentString()

String Document::GetDocumentCalculateCommentString | ( |  | ) |

Retrieves the comment for the Calculate method for a given document.

Returns
  the Calculate method comment string

Exceptions

  CEIException |

Since
  GL Studio 6.0.1

## ◆ GetDocumentCalculateString()

String Document::GetDocumentCalculateString | ( |  | ) |

Retrieves the body for the Calculate method for a given document.

Returns
  the Calculate method body string

Exceptions

  CEIException |

## ◆ GetDocumentClassDeclarationString()

String Document::GetDocumentClassDeclarationString | ( |  | ) |

Retrieves the code class declaration for a given document.

Returns
  the class declaration string

Exceptions

  CEIException |

## ◆ GetDocumentHeaderString()

String Document::GetDocumentHeaderString | ( |  | ) |

Retrieves the code header for a given document.

Returns
  the header string

Exceptions

  CEIException |

## ◆ GetDocumentInfo()

DocumentInfo Document::GetDocumentInfo | ( |  | ) |

Gets the document info for this document.

Returns
  the document info for this document

Precondition
  !isNULL()

## ◆ GetDocumentInitializeCommentString()

String Document::GetDocumentInitializeCommentString | ( |  | ) |

Retrieves the comment for the Initialize method for a given document.

Returns
  the Initialize method comment string

Exceptions

  CEIException |

Since
  GL Studio 6.0.1

## ◆ GetDocumentInitializeString()

String Document::GetDocumentInitializeString | ( |  | ) |

Retrieves the body for the Initialize method for a given document.

Returns
  the Initialize method body string

Exceptions

  CEIException |

## ◆ GetDocumentMainInitString()

String Document::GetDocumentMainInitString | ( |  | ) |

Retrieves the main init for a given document.

Returns
  the main init string

Exceptions

  CEIException |

## ◆ GetDocumentMainLoopString()

String Document::GetDocumentMainLoopString | ( |  | ) |

Retrieves the main loop for a given document.

Returns
  the main loop string

Exceptions

  CEIException |

## ◆ GetDocumentRootName()

String Document::GetDocumentRootName | ( |  | ) |

Retrieves the document's root name.

Returns
  root name

Exceptions

  CEIException |

Precondition
  !isNULL()

## ◆ GetDocumentSourceString()

String Document::GetDocumentSourceString | ( |  | ) |

Retrieves the code source for a given document.

Returns
  the source string

Exceptions

  CEIException |

## ◆ GetEditorGenerationMode()

String Document::GetEditorGenerationMode | ( |  | ) |

Retrieves the current editor generation mode.

Returns
  the generation mode

Exceptions

  CEIException |

Deprecated:
  Use Editor.GetActiveCodeGenerator() instead.

## ◆ GetFilename()

String Document::GetFilename | ( |  | ) |

Gets the filename of this document without the directory.

Precondition
  !isNULL()

Returns
  The filename, or null if not set.

## ◆ GetFontPalette()

FontPalette Document::GetFontPalette | ( |  | ) |

Gets the font palette for this document.

Returns
  the font palette for this document

Precondition
  !isNULL()

## ◆ GetFrameBufferType()

FrameBufferType Document::GetFrameBufferType | ( |  | ) |

Gets the application tab 'frame buffer type' setting.

Returns
  frame buffer type

Precondition
  !isNULL()

## ◆ GetFrameRate()

int Document::GetFrameRate | ( |  | ) |

Gets the application tab 'frame rate' setting.

Returns
  frame rate in hz

Precondition
  !isNULL()

## ◆ GetGeometryFilterText()

String Document::GetGeometryFilterText | ( |  | ) |

Returns the current string held by the geometry browser filter.

Returns
  string held by the geometry browser filter field.

## ◆ GetIdlDeclarationUserCode()

String Document::GetIdlDeclarationUserCode | ( |  | ) |

Get the IDL declaration user code.

Returns
  the IDL declaration user code

Precondition
  !isNULL()

## ◆ GetIdlFileUserCode()

String Document::GetIdlFileUserCode | ( |  | ) |

Get the IDL file user code.

Returns
  the IDL file user code

Precondition
  !isNULL()

## ◆ GetInitialEyePointName()

String Document::GetInitialEyePointName | ( |  | ) |

Gets the application tab 'inital eyepoint name' setting.

Returns
  eye point name

Precondition
  !isNULL()

## ◆ GetInitialHeight()

int Document::GetInitialHeight | ( |  | ) |

Gets the application tab 'initial height' setting.

Returns
  initial height

Precondition
  !isNULL()

## ◆ GetInitialPositionX()

int Document::GetInitialPositionX | ( |  | ) |

Gets the application tab 'initial position x' setting.

Returns
  initial position x

Precondition
  !isNULL()

## ◆ GetInitialPositionY()

int Document::GetInitialPositionY | ( |  | ) |

Gets the application tab 'initial position y' setting.

Returns
  initial position y

Precondition
  !isNULL()

## ◆ GetInitialWidth()

int Document::GetInitialWidth | ( |  | ) |

Gets the application tab 'initial width' setting.

Returns
  initial width

Precondition
  !isNULL()

## ◆ GetLastMouseDownPositionLogical()

Vector Document::GetLastMouseDownPositionLogical | ( |  | ) |

Returns
  Vector representing the last mouse down position in the canvas, in logical coordinates.

## ◆ GetMaterial()

Material Document::GetMaterial | ( | unsigned int | materialIndex | ) |

Retrieves a specific material for a given document.

Parameters

  materialIndex | index of the desired material

Returns
  the requested material

Exceptions

  CEIException |

## ◆ GetMaximumHeight()

int Document::GetMaximumHeight | ( |  | ) |

Gets the application tab 'maximum height' setting.

Returns
  max height

Precondition
  !isNULL()

## ◆ GetMaximumWidth()

int Document::GetMaximumWidth | ( |  | ) |

Gets the application tab 'maximum width' setting.

Returns
  max width

Precondition
  !isNULL()

## ◆ GetMethod()

Method Document::GetMethod | ( | int | methodIndex | ) |

Retrieves a specific method for a given document.

Parameters

  methodIndex | index of the desired method

Returns
  the requested method

Exceptions

  CEIException |

## ◆ GetMinimumHeight()

int Document::GetMinimumHeight | ( |  | ) |

Gets the application tab 'minimum height' setting.

Returns
  min height

Precondition
  !isNULL()

## ◆ GetMinimumWidth()

int Document::GetMinimumWidth | ( |  | ) |

Gets the application tab 'minimum width' setting.

Returns
  min width

Precondition
  !isNULL()

## ◆ GetNumMaterials()

int Document::GetNumMaterials | ( |  | ) |

Retrieves the number of materials for a given document.

Returns
  the number of materials

Exceptions

  CEIException |

## ◆ GetNumMethods()

unsigned int Document::GetNumMethods | ( |  | ) |

Retrieves the number of methods for a given document.

Returns
  the number of methods

Exceptions

  CEIException |

## ◆ GetNumObjects()

unsigned int Document::GetNumObjects | ( |  | ) |

Gets the number of objects within a given document.

Returns
  the number of objects within a given document

Exceptions

  CEIException |

## ◆ GetNumProperties()

int Document::GetNumProperties | ( |  | ) |

Retrieves the number of properties for a given document.

Returns
  the number of properties

Exceptions

  CEIException |

## ◆ GetNumUserDefinedAttributes()

int Document::GetNumUserDefinedAttributes | ( |  | ) |

Gets the number of user defined attributes in the document.

Returns
  int the number of user defined attributes in the document

## ◆ GetNumVariables()

int Document::GetNumVariables | ( |  | ) |

Retrieves the number of variables for a given document.

Returns
  the number of variables

Exceptions

  CEIException |

## ◆ GetObjectByName()

DisplayObject * Document::GetObjectByName | ( | String | name | ) |

Finds an object within a document.

Parameters

  name | string containing the name of the object to find

Returns
  the object, if it exists

Exceptions

  CEIException |

## ◆ GetObjectList()

Group * Document::GetObjectList | ( |  | ) |

Returns a group of all objects in the document hierarchy.

Returns
  the group of objects

Exceptions

  CEIException |

## ◆ GetProjectionMode()

ProjectionMode Document::GetProjectionMode | ( |  | ) |

Gets the application tab 'projection mode' setting.

Returns
  projection mode setting

Precondition
  !isNULL()

## ◆ GetProperty()

Property Document::GetProperty | ( | int | propertyIndex | ) |

Retrieves a specific property for a given document.

Parameters

  propertyIndex | index of the desired property

Returns
  the requested property

Exceptions

  CEIException |

## ◆ GetPropertyFilterText()

String Document::GetPropertyFilterText | ( |  | ) |

Returns the current string held by the object property table filter.

Returns
  string held by the object property table filter field.

## ◆ GetRedrawMode()

RedrawMode Document::GetRedrawMode | ( |  | ) |

Gets the application tab 'redraw mode' setting.

Returns
  redraw mode

Precondition
  !isNULL()

## ◆ GetResources()

String Document::GetResources | ( |  | ) |

Gets all of the resources of all of the objects within this document.

## ◆ GetRuntimeAttributes()

RuntimeAttributesFlags Document::GetRuntimeAttributes | ( |  | ) |

Gets the resources tab 'runtime attributes' setting.

Returns
  runtime attribute flags

Precondition
  !isNULL()

## ◆ GetSelectedObjects()

DisplayObjectArray * Document::GetSelectedObjects | ( |  | ) |

Gets all selected objects in the document.

Returns
  the array of selected objects

Precondition
  !isNULL()

## ◆ GetSoundList()

SoundList Document::GetSoundList | ( |  | ) |

Gets the sound list for this document.

Returns
  the sound list for this document

Precondition
  !isNull()

## ◆ GetStandaloneHeaderFile()

String Document::GetStandaloneHeaderFile | ( |  | ) |

Gets the code generation tab 'standalone header file' setting.

Returns
  standalone header file

Precondition
  !isNULL()

## ◆ GetStandaloneInstanceName()

String Document::GetStandaloneInstanceName | ( |  | ) |

Gets the code generation tab 'standalone instance name' setting.

Returns
  standalone instance name

Precondition
  !isNULL()

## ◆ GetStandaloneMainFile()

String Document::GetStandaloneMainFile | ( |  | ) |

Get the code generation tab 'standalone main file' setting.

Returns
  the code generation tab 'standalone main file' setting

Precondition
  !isNULL()

## ◆ GetStandaloneSourceFile()

String Document::GetStandaloneSourceFile | ( |  | ) |

Gets the code generation tab 'standalone source file' setting.

Returns
  standalone source file

Precondition
  !isNULL()

## ◆ GetTexturePalette()

TexturePalette Document::GetTexturePalette | ( |  | ) |

Gets the texture palette for this document.

Returns
  the texture palette for this document

Precondition
  !isNULL()

## ◆ GetUserDefinedAttributeByGuid()

UserDefinedAttribute Document::GetUserDefinedAttributeByGuid | ( | String | guid | ) |

Gets a user defined attribute within the document by guid.

Parameters

  guid | guid of the user defined attribute to retrieve

Returns
  the user defined attribute with the given guid

## ◆ GetUserDefinedAttributeByIndex()

UserDefinedAttribute Document::GetUserDefinedAttributeByIndex | ( | int | index | ) |

Gets a user defined attribute within the document by index.

Parameters

  index | index of the user defined attribute to retrieve

Returns
  the user defined attribute with the given index

## ◆ GetUserDefinedBaseClass()

String Document::GetUserDefinedBaseClass | ( |  | ) |

Gets the user defined base class used in component code generation mode if user defined base class is enabled.

Returns
  user defined base class else "" for no user defined base class

Precondition
  !isNULL()

## ◆ GetUserDefinedBaseClassConstructorInit()

String Document::GetUserDefinedBaseClassConstructorInit | ( |  | ) |

Gets the code generation tab 'user defined base class constructor init' setting.

Returns
  the code generation tab 'user defined base class constructor init' setting

Precondition
  !isNULL()

## ◆ GetVariable()

Variable Document::GetVariable | ( | int | variableIndex | ) |

Retrieves a specific variable for a given document.

Parameters

  variableIndex | index of the desired variable

Returns
  the requested variable

Exceptions

  CEIException |

## ◆ HasAccumulationBuffer()

bool Document::HasAccumulationBuffer | ( |  | ) |

Gets the application tab 'accumulation buffer' setting.

Returns
  accumulation buffer setting

Precondition
  !isNULL()

## ◆ HasAlphaInColorBuffer()

bool Document::HasAlphaInColorBuffer | ( |  | ) |

Gets the application tab 'alpha in color buffer' setting.

Returns
  alpha in color buffer setting

Precondition
  !isNULL()

## ◆ HasBorder()

bool Document::HasBorder | ( |  | ) |

Gets the application tab 'has border' setting.

Returns
  has border setting

Precondition
  !isNULL()

## ◆ HasDepthBuffer()

bool Document::HasDepthBuffer | ( |  | ) |

Gets the application tab 'depth buffer' setting.

Returns
  depth buffer setting

Precondition
  !isNULL()

## ◆ HasMultisampleBuffer()

bool Document::HasMultisampleBuffer | ( |  | ) |

Gets the application tab 'multisample buffer' setting.

Returns
  multisample buffer setting

Precondition
  !isNULL()

## ◆ HasStencilBuffer()

bool Document::HasStencilBuffer | ( |  | ) |

Gets the application tab 'stencil buffer' setting.

Returns
  stencil buffer setting

Precondition
  !isNULL()

## ◆ HasVisibleTab()

bool Document::HasVisibleTab | ( |  | ) |

Determines whether the given doc has a visible tab.

## ◆ HideTab()

void Document::HideTab | ( |  | ) |

Hides this document's tab, and shows the next open document.

If there are no other open documents, does nothing.

## ◆ InsertComponent() [1/2]

void Document::InsertComponent | ( | ComponentRef & | comp | ) |

Adds a component to the document.

Parameters

  comp | pointer to the component to be added to the document

Exceptions

  CEIException |

## ◆ InsertComponent() [2/2]

ComponentRef * Document::InsertComponent | ( | String | filename | ) |

Adds a file as a component to the document.

Parameters

  filename | string containing the filename of the component to insert into the document

Returns
  ComponentRef the newly added component

Exceptions

  CEIException |

## ◆ InsertObject()

void Document::InsertObject | ( | DisplayObject * | obj,
|  | bool | renameName = `false`
| ) |  |

Inserts the given object to the document.

Parameters

  obj | object to insert
  renameName | allows the object's name to be renamed during insertion to maintain uniqueness. If a duplicate name is found in the document, the function will rename the object based on its current name. If flag is not set, then an exception is thrown when another object already has the same name. Default - False

Precondition
  !isNULL()

## ◆ IsCodeGenerationFillInFromRoot()

bool Document::IsCodeGenerationFillInFromRoot | ( |  | ) |

Gets the code generation tab 'fill in from root' setting.

Returns
  true if fill in from root is set

Precondition
  !isNULL()

## ◆ isEqual()

bool Document::isEqual | ( | Document * | rhs | ) |

Determines if wrapped document is equal to another wrapped document.

Parameters

  rhs | The document to compare to this

Precondition
  !isNULL() && !rhs.isNULL()

Returns
  true if wrapped document's point to the same editor document

## ◆ IsFullScreen()

bool Document::IsFullScreen | ( |  | ) |

Gets the application tab 'full screen' setting.

Returns
  full screen setting

Precondition
  !isNULL()

## ◆ IsGenerateMainInSeparateFile()

bool Document::IsGenerateMainInSeparateFile | ( |  | ) |

Determines whether the main is generated in a separate file.

Returns
  true if main is generated in a seperate file

Precondition
  !isNULL()

## ◆ IsGenerateSourceComments()

bool Document::IsGenerateSourceComments | ( |  | ) |

Gets the code generation tab 'generate source comments' setting.

Returns
  true if generate source comments is set

Precondition
  !isNULL()

## ◆ isNULL()

bool Document::isNULL | ( |  | ) |

Determines if wrapped document does not exist.

Returns
  True if this object represents a NULL document

Deprecated:
  Refer to the Truth Value Checking page

## ◆ IsResizable()

bool Document::IsResizable | ( |  | ) |

Gets the application tab 'resizable' setting.

Returns
  resizable setting

Precondition
  !isNULL()

## ◆ IsUserDefinedBaseClassEnabled()

bool Document::IsUserDefinedBaseClassEnabled | ( |  | ) |

Determines if user defined base class is enabled.

Returns
  true if enabled

Precondition
  !isNULL()

## ◆ IsViewCulling()

bool Document::IsViewCulling | ( |  | ) |

Gets the application tab 'view culling' setting.

Returns
  view culling setting

Precondition
  !isNULL()

## ◆ LineColor() [1/2]

GlsColor Document::LineColor | ( |  | ) |

Gets the currently selected line color for the document.

Returns
  line color of the Display Object

## ◆ LineColor() [2/2]

void Document::LineColor | ( | GlsColor | color | ) |

Sets the document's current line color, and applies it to any selected objects.

Parameters

  color | line color to be applied to the document

## ◆ LoadUserDefinedAttributes()

void Document::LoadUserDefinedAttributes | ( | String | filename | ) |

Reads user defined attributes from a file.

Parameters

  filename | name of the file from which the user defined attributes are to be read

## ◆ MakeCurrentDocument()

void Document::MakeCurrentDocument | ( |  | ) |

Makes this document the current document.

Precondition
  !isNULL()

Exceptions

  CEIException |

## ◆ NewDocument()

Document Document::NewDocument | ( | String | fileName = `""` | ) |

Creates a new document and makes it the current document.

Parameters

  fileName | optional filename to give the new document

Returns
  a new document that is the current document

Deprecated:
  Use Editor.NewDocument() instead.

## ◆ OpenDocument()

Document Document::OpenDocument | ( | String | fileName,
|  | bool | showTab = `true`
| ) |  |

Opens a new document and makes it the current document.

Parameters

  fileName | name of file to load
  showTab | whether or not to show the file in a tab. If false, will open it in the background.

Returns
  loaded document ( isNULL on returned value returns true if no doc loaded )

Deprecated:
  Use Editor.OpenDocument() instead.

## ◆ PasteClipboardCodeItem()

void Document::PasteClipboardCodeItem | ( |  | ) |

Pastes the code item from the clipboard.

Exceptions

  CEIException |

## ◆ PasteClipboardObjects() [1/2]

void Document::PasteClipboardObjects | ( | bool | keepNames,
|  | bool | keepPositions
| ) |  |

Pastes the objects from the clipboard.

Parameters

  keepNames | true to keep object names (deprecated and ignored)
  keepPositions | true to keep object positions

Exceptions

  CEIException |

Deprecated:
  Use PasteClipboardObjects( bool keepPositions ) instead.

## ◆ PasteClipboardObjects() [2/2]

void Document::PasteClipboardObjects | ( | bool | keepPositions | ) |

Pastes the objects from the clipboard.

Parameters

  keepPositions | true to keep object positions

Exceptions

  CEIException |

Since
  GL Studio 6.0.1

## ◆ RedoAction()

void Document::RedoAction | ( |  | ) |

Redo the previously undone action.

Precondition
  !isNULL()

Exceptions

  CEIException |

## ◆ Save()

void Document::Save | ( |  | ) |

Saves this document.

Precondition
  !isNULL(), document has filename set

Exceptions

  CEIException |

## ◆ SaveAllDocuments()

void Document::SaveAllDocuments | ( |  | ) |

Saves all open documents.

Deprecated:
  Use Editor.SaveAllDocuments() instead.

## ◆ SaveAs()

void Document::SaveAs | ( | String | fileName | ) |

save this document with a given filename.

If no filename is specified, a popup will appear.

Exceptions

  CEIException |

## ◆ SaveUserDefinedAttributes()

void Document::SaveUserDefinedAttributes | ( | String | filename | ) |

Writes user defined attributes to a file.

Parameters

  filename | name of the file to which the user defined attributes are to be written

## ◆ SelectAll()

void Document::SelectAll | ( |  | ) |

Selects all of the objects within the document.

Precondition
  !isNULL()

## ◆ SelectObject()

void Document::SelectObject | ( | DisplayObject * | obj | ) |

Selects the object within the editor.

Parameters

  obj | the object to be selected

Precondition
  !isNULL()

## ◆ SelectObjects() [1/2]

void Document::SelectObjects | ( | DisplayObjectArray * | objs | ) |

Selects the objects within the editor, adding to current selection.

Parameters

  objs | the object array to be selected

Precondition
  !isNULL()

## ◆ SelectObjects() [2/2]

void Document::SelectObjects | ( | std::vector< String > | objectNames,
|  | bool | addToCurrentSelection = `false`
| ) |  |

Selects the specified objects.

Parameters

  objectNames | the list object names.
  addToCurrentSelection | if true, adds the specified objects to the pre-existing selection. If false, it clears the pre-existing selection before selecting the specified objects.

## ◆ SetAccumulationBuffer()

void Document::SetAccumulationBuffer | ( | bool | accumulationBuffer | ) |

Sets the application tab 'accumulation buffer' setting.

Parameters

  accumulationBuffer | accumulation buffer setting

Precondition
  !isNULL()

## ◆ SetAlphaInColorBuffer()

void Document::SetAlphaInColorBuffer | ( | bool | alphaInColorBuffer | ) |

Sets the application tab 'alpha in color buffer' setting.

Parameters

  alphaInColorBuffer | alpha in color buffer setting

Precondition
  !isNULL()

## ◆ SetApplicationWindowTitle()

void Document::SetApplicationWindowTitle | ( | String | title | ) |

Sets the application tab 'window title' setting.

Parameters

  title | window title

Precondition
  !isNULL()

## ◆ SetBackgroundColor() [1/2]

void Document::SetBackgroundColor | ( | GlsColor | color | ) |

Sets the document's background color.

Parameters

  color | the color for the background

## ◆ SetBackgroundColor() [2/2]

void Document::SetBackgroundColor | ( | unsigned char | r,
|  | unsigned char | g,
|  | unsigned char | b,
|  | unsigned char | a
| ) |  |

Sets the document's background color.

Parameters

  r | red color for the background
  g | green color for the background
  b | blue color for the background
  a | alpha color for the background

## ◆ SetCodeGenerationFillInFromRoot()

void Document::SetCodeGenerationFillInFromRoot | ( | bool | fillInFromRoot | ) |

Sets the code generation tab 'fill in from root' setting.

Parameters

  fillInFromRoot | true to fill in from root

Precondition
  !isNULL()

## ◆ SetCodeGenerationMode()

void Document::SetCodeGenerationMode | ( | CodeGenerationMode | codeGenerationMode | ) |

Sets the code generation mode.

Parameters

  codeGenerationMode | code generation mode

Precondition
  !isNULL()

## ◆ SetCodeOutputPath()

void Document::SetCodeOutputPath | ( | String | codeOutputPath | ) |

Sets the code generation code output path.

Parameters

  codeOutputPath | the code generation code output path

Precondition
  !isNULL()

## ◆ SetComponentHeaderFile()

void Document::SetComponentHeaderFile | ( | String | headerFile | ) |

Sets the code generation tab 'component header file' setting.

Parameters

  headerFile | component header file

Precondition
  !isNULL(), !IsCodeGenerationFillInFromRoot()

## ◆ SetComponentSourceFile()

void Document::SetComponentSourceFile | ( | String | sourceFile | ) |

Sets the code generation tab 'component source file' setting.

Parameters

  sourceFile | component source file

Precondition
  !isNULL(), !IsCodeGenerationFillInFromRoot()

## ◆ SetDepthBuffer()

void Document::SetDepthBuffer | ( | bool | depthBuffer | ) |

Sets the application tab 'depth buffer' setting.

Parameters

  depthBuffer | depth buffer setting

Precondition
  !isNULL()

## ◆ SetDerivedClass()

void Document::SetDerivedClass | ( | String | derivedClass | ) |

Sets the code generation tab 'Derived Class' setting.

Parameters

  derivedClass | derived class name

Precondition
  !isNULL(), !IsCodeGenerationFillInFromRoot()

## ◆ SetDirtyFlag()

void Document::SetDirtyFlag | ( |  | ) |

Mark this document as dirty.

Exceptions

  CEIException |

## ◆ SetDocumentCalculateString()

void Document::SetDocumentCalculateString | ( | String | str | ) |

Sets the body for the Calculate method for a given document.

Parameters

  str | String to be used in the body

Exceptions

  CEIException |

## ◆ SetDocumentClassDeclarationString()

void Document::SetDocumentClassDeclarationString | ( | String | str | ) |

Sets the code class declaration for a given document.

Parameters

  str | String to be added to the class declaration

Exceptions

  CEIException |

## ◆ SetDocumentHeaderString()

void Document::SetDocumentHeaderString | ( | String | str | ) |

Sets the code header for a given document.

Parameters

  str | String to be added at the beginning of the code header

Exceptions

  CEIException |

## ◆ SetDocumentInitializeString()

void Document::SetDocumentInitializeString | ( | String | str | ) |

Sets the body for the Initialize method for a given document.

Parameters

  str | String to be used in the body

Exceptions

  CEIException |

## ◆ SetDocumentMainInitString()

void Document::SetDocumentMainInitString | ( | String | str | ) |

Sets the main init for a given document.

Parameters

  str | String to be used in the main init

Exceptions

  CEIException |

## ◆ SetDocumentMainLoopString()

void Document::SetDocumentMainLoopString | ( | String | str | ) |

Sets the main loop for a given document.

Parameters

  str | String to be used in the main loop

Exceptions

  CEIException |

## ◆ SetDocumentRootName()

void Document::SetDocumentRootName | ( | String | rootName | ) |

Sets the document's root name.

Exceptions

  CEIException |

Precondition
  !isNULL()

## ◆ SetDocumentSaved()

void Document::SetDocumentSaved | ( |  | ) |

Clears the dirty flag without updating the document.

Precondition
  !isNULL()

Exceptions

  CEIException |

## ◆ SetDocumentSourceString()

void Document::SetDocumentSourceString | ( | String | str | ) |

Sets the code source for a given document.

Parameters

  str | String to be added at the beginning of the code source

Exceptions

  CEIException |

## ◆ SetEditorGenerationMode()

void Document::SetEditorGenerationMode | ( | String | str | ) |

Sets the current editor generation mode.

Parameters

  str | String specifiying the new editor mode

Exceptions

  CEIException |

Deprecated:
  Use Editor.SetActiveCodeGenerator() instead.

## ◆ SetFrameBufferType()

void Document::SetFrameBufferType | ( | FrameBufferType | frameBufferType | ) |

Sets the application tab 'frame buffer type' setting.

Parameters

  frameBufferType | frame buffer type

Precondition
  !isNULL()

## ◆ SetFrameRate()

void Document::SetFrameRate | ( | int | frameRateHz | ) |

Sets the application tab 'frame rate' setting.

Parameters

  frameRateHz | frame rate in hz

Precondition
  !isNULL()

## ◆ SetFullScreen()

void Document::SetFullScreen | ( | bool | fullScreen | ) |

Sets the application tab 'full screen' setting.

Parameters

  fullScreen | full screen setting

Precondition
  !isNULL()

## ◆ SetGenerateMainInSeparateFile()

void Document::SetGenerateMainInSeparateFile | ( | bool | separateFile | ) |

Sets whether the main is generated in a separate file.

Parameters

  separateFile | true to generate main in a seperate file

Precondition
  !isNULL()

## ◆ SetGenerateSourceComments()

void Document::SetGenerateSourceComments | ( | bool | generateSourceComments | ) |

Sets the code generation tab 'generate source comments' setting.

Parameters

  generateSourceComments | true to generate source comments

Precondition
  !isNULL()

## ◆ SetHasBorder()

void Document::SetHasBorder | ( | bool | hasBorder | ) |

Sets the application tab 'has border' setting.

Parameters

  hasBorder | has border setting

Precondition
  !isNULL()

## ◆ SetIdlDeclarationUserCode()

void Document::SetIdlDeclarationUserCode | ( | String | idlDeclarationUserCode | ) |

Set the IDL declaration user code.

Parameters

  idlDeclarationUserCode | the IDL declaration user code

Precondition
  !isNULL()

## ◆ SetIdlFileUserCode()

void Document::SetIdlFileUserCode | ( | String | idlFileUserCode | ) |

Set the IDL file user code.

Parameters

  idlFileUserCode | the IDL file user code

Precondition
  !isNULL()

## ◆ SetInitialEyePointName()

void Document::SetInitialEyePointName | ( | String | eyePointName | ) |

Sets the application tab 'inital eyepoint name' setting.

Parameters

  eyePointName | eye point name

Precondition
  !isNULL()

## ◆ SetInitialHeight()

void Document::SetInitialHeight | ( | int | height | ) |

Sets the application tab 'initial height' setting.

Parameters

  height | initial height

Precondition
  !isNULL()

## ◆ SetInitialPositionX()

void Document::SetInitialPositionX | ( | int | x | ) |

Sets the application tab 'initial position x' setting.

Parameters

  x | initial position x

Precondition
  !isNULL()

## ◆ SetInitialPositionY()

void Document::SetInitialPositionY | ( | int | y | ) |

Sets the application tab 'initial position y' setting.

Parameters

  y | initial position y

Precondition
  !isNULL()

## ◆ SetInitialWidth()

void Document::SetInitialWidth | ( | int | width | ) |

Sets the application tab 'initial width' setting.

Parameters

  width | initial width

Precondition
  !isNULL()

## ◆ SetMaximumHeight()

void Document::SetMaximumHeight | ( | int | height | ) |

Sets the application tab 'maximum height' setting.

Parameters

  height | max height

Precondition
  !isNULL()

## ◆ SetMaximumWidth()

void Document::SetMaximumWidth | ( | int | width | ) |

Sets the application tab 'maximum width' setting.

Parameters

  width | max width

Precondition
  !isNULL()

## ◆ SetMinimumHeight()

void Document::SetMinimumHeight | ( | int | height | ) |

Sets the application tab 'minimum height' setting.

Parameters

  height | min height

Precondition
  !isNULL()

## ◆ SetMinimumWidth()

void Document::SetMinimumWidth | ( | int | width | ) |

Sets the application tab 'minimum width' setting.

Parameters

  width | min width

Precondition
  !isNULL()

## ◆ SetMultisampleBuffer()

void Document::SetMultisampleBuffer | ( | bool | multisampleBuffer | ) |

Sets the application tab 'multisample buffer' setting.

Parameters

  multisampleBuffer | multisample buffer setting

Precondition
  !isNULL()

## ◆ SetProjectionMode()

void Document::SetProjectionMode | ( | ProjectionMode | projectionMode | ) |

Sets the application tab 'projection mode' setting.

Parameters

  projectionMode | projection mode

Precondition
  !isNULL()

## ◆ SetRedrawMode()

void Document::SetRedrawMode | ( | RedrawMode | redrawMode | ) |

Sets the application tab 'redraw mode' setting.

Parameters

  redrawMode | redraw mode

Precondition
  !isNULL()

## ◆ SetResizable()

void Document::SetResizable | ( | bool | resizable | ) |

Sets the application tab 'resizable' setting.

Parameters

  resizable | resizable setting

Precondition
  !isNULL()

## ◆ SetRuntimeAttributes()

void Document::SetRuntimeAttributes | ( | RuntimeAttributesFlags | flags | ) |

Sets the resources tab 'runtime attributes' setting.

Parameters

  flags | runtime attribute flags

Precondition
  !isNULL()

## ◆ SetStandaloneHeaderFile()

void Document::SetStandaloneHeaderFile | ( | String | headerFile | ) |

Sets the code generation tab 'standalone header file' setting.

Parameters

  headerFile | standalone header file

Precondition
  !isNULL(), !IsCodeGenerationFillInFromRoot()

## ◆ SetStandaloneInstanceName()

void Document::SetStandaloneInstanceName | ( | String | instanceName | ) |

Sets the code generation tab 'standalone instance name' setting.

Parameters

  instanceName | standalone instance name

Precondition
  !isNULL(), !IsCodeGenerationFillInFromRoot()

## ◆ SetStandaloneMainFile()

void Document::SetStandaloneMainFile | ( | String | mainFile | ) |

Set the code generation tab 'standalone main file' setting.

Parameters

  mainFile | main file

Precondition
  !isNULL()

## ◆ SetStandaloneSourceFile()

void Document::SetStandaloneSourceFile | ( | String | sourceFile | ) |

Sets the code generation tab 'standalone source file' setting.

Parameters

  sourceFile | standalone source file

Precondition
  !isNULL(), !IsCodeGenerationFillInFromRoot()

## ◆ SetStencilBuffer()

void Document::SetStencilBuffer | ( | bool | stencilBuffer | ) |

Sets the application tab 'stencil buffer' setting.

Parameters

  stencilBuffer | stencil buffer setting

Precondition
  !isNULL()

## ◆ SetUserDefinedBaseClass()

void Document::SetUserDefinedBaseClass | ( | String | userDefinedBaseClass | ) |

Sets the user defined base class used in component code generation mode if user defined base class is enabled.

Parameters

  userDefinedBaseClass | user defined base class

Precondition
  !isNULL()

## ◆ SetUserDefinedBaseClassConstructorInit()

void Document::SetUserDefinedBaseClassConstructorInit | ( | String | ctorInit | ) |

Sets the code generation tab 'user defined base class constructor init' setting.

Parameters

  ctorInit | the code generation tab 'user defined base class constructor init' setting

Precondition
  !isNULL()

## ◆ SetViewCulling()

void Document::SetViewCulling | ( | bool | viewCulling | ) |

Sets the application tab 'view culling' setting.

Parameters

  viewCulling | view culling setting

Precondition
  !isNULL()

## ◆ UndoAction()

void Document::UndoAction | ( |  | ) |

Undo the previous action.

Precondition
  !isNULL()

Exceptions

  CEIException |

## ◆ UnselectObject()

void Document::UnselectObject | ( | DisplayObject * | obj | ) |

Unselects the object within the editor.

Parameters

  obj | the object to be unselected

Precondition
  !isNULL()

## ◆ UnselectObjects()

void Document::UnselectObjects | ( | DisplayObjectArray * | objs | ) |

Unselects the objects within the editor.

Parameters

  objs | the object array to be unselected

Precondition
  !isNULL()

## ◆ UpdateMaterial()

void Document::UpdateMaterial | ( | unsigned int | materialIndex,
|  | Material | matUpdates
| ) |  |

Updates a specific material for a given document.

Parameters

  materialIndex | index of the material to be updated
  matUpdates | material containing the updated material information

Exceptions

  CEIException |

## ◆ UpdateUserDefinedAttribute()

void Document::UpdateUserDefinedAttribute | ( | UserDefinedAttribute | attrib | ) |

Updates a user defined attribute within the document.

Parameters

  attrib | the user defined attribute to be updated

The documentation for this class was generated from the following file:

- Document.i